#
# Conditional build:
%bcond_with	svga	# without svgalib support
#
Summary:	Lincity is a city/country simulation game for X11 and Linux SVGALib
Summary(pl.UTF-8):	Lincity jest symulatorem miasta/kraju dla X11 oraz SVGALib
Name:		lincity
Version:	1.13.1
Release:	8
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/lincity/%{name}-%{version}.tar.gz
# Source0-md5:	2d37906d4b141cd457ec93d778bb8fe1
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://lincity.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	xorg-lib-libXext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X11 and SVGALib strategy game. You are required to build and maintain
a city. You must feed, house, provide jobs and goods for your
residents. You can build a sustainable economy with the help of
renewable energy and recycling, or you can go for broke and build
rockets to escape from a pollution ridden and resource starved planet,
it's up to you. Due to the finite resources available in any one
place, this is not a game that you can leave for long periods of time.
This package contains shared files for X11 and SVGALib.

%description -l pl.UTF-8
Gra strategiczna dla X11 oraz SVGALib. Trzeba wybudować miasto i nim
zarządzać. Trzeba karmić mieszkańców, zapewnić im mieszkanie, pracę i
inne dobra. Można stworzyć solidną gospodarkę korzystając z
odnawialnych źródeł energii i przetwórstwa odpadów. Można też wielkim
wysiłkiem zbudować rakiety, aby uciec z zanieczyszczonej, pozbawionej
zasobów planety. Całe życie miasta znajduje się w rękach gracza. Ten
pakiet zawiera pliki wspólne dla wersji X11 oraz SVGALib.

%package X11
Summary:	Lincity for X11
Summary(pl.UTF-8):	Lincity dla X11
Group:		X11/Applications/Games/Strategy
Requires:	%{name} = %{version}-%{release}

%description X11
Executable version for X11.

%description X11 -l pl.UTF-8
Program wykonywalny dla X11.

%package svga
Summary:	Lincity for SVGALib
Summary(pl.UTF-8):	Lincity dla SVGALib
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}

%description svga
Executable version for SVGALib.

%description svga -l pl.UTF-8
Program wykonywalny dla SVGALib.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/lincity.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/lincity.png

echo ".so lincity.6" > $RPM_BUILD_ROOT%{_mandir}/man6/xlincity.6
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Acknowledgements CHANGES COPYRIGHT README* TODO
%{_datadir}/%{name}
%{_mandir}/man?/lincity*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xlincity
%{_desktopdir}/lincity.desktop
%{_pixmapsdir}/lincity.png
%{_mandir}/man?/xlincity*

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lincity
%endif
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lincity.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 72600be
- release 8 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 864e0bb
- release 7

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 601028f
- release 6

* Tue Nov 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 52cfcd1
- rel 5; turn off svgalib bcond

* Tue Nov 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a345ced
- release 4

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> afabd08
- release 3 (rebuild with libpng14)

* Wed Feb 10 2010 sparky <sparky@pld-linux.org> cff7bcc
- create _bindir before calling make install: it fails to create that directory
- modular xorg deps: BR: xorg-lib-libXext-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dc2675a
- release 2

* Mon Mar 30 2009 Jakub Bogusz <qboosh@pld-linux.org> 0e38a44
- svgalib is not X11/

* Sat Feb 28 2009 sparky <sparky@pld-linux.org> 24987dc
- Group: X11/Applications/Games

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 4320ef6
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 441f995
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 86e4596
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 5deb544
- orphaned, outdated

* Fri Jun 17 2005 zbyniu <zbyniu@pld-linux.org> 1ec1bc2
- BR: XFree86-devel, libpng-devel

* Wed Sep 01 2004 snurf <snurf@pld-linux.org> dde47a6
- typos / formatting / etc.

* Sun Aug 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 93e0a4b
- outdated

* Sun Aug 01 2004 undefine <undefine@pld-linux.org> 4e81695
- update to 1.13.1

* Sun Jul 25 2004 kali <kali@pld-linux.org> 2fa710c
- Exec fix

* Sun Jul 04 2004 havner <havner@pld-linux.org> 782d0b2
- rel up

